#!/bin/bash
#
# Resolve the location of the Onix installation.
# This includes resolving any symlinks.
PRG=$0
while [ -h "$PRG" ]; do
    ls=`ls -ld "$PRG"`
    link=`expr "$ls" : '^.*-> \(.*\)$' 2>/dev/null`
    if expr "$link" : '^/' 2> /dev/null >/dev/null; then
        PRG="$link"
    else
        PRG="`dirname "$PRG"`/$link"
    fi
done

ONIX_BINDIR=`dirname "$PRG"`

# absolutize dir
oldpwd=`pwd`
cd "${ONIX_BINDIR}"
ONIX_BINDIR=`pwd`
cd "${oldpwd}"

ICON_NAME=onix-core
TMP_DIR=`mktemp --directory`
DESKTOP_FILE=$TMP_DIR/onix-core.desktop
cat << EOF > $DESKTOP_FILE
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=Onix Core
Keywords=onix
Comment=Onix Blockchain wallet
Type=Application
Categories=Productivity
Terminal=false
StartupWMClass=OnixCore
Exec="$ONIX_BINDIR/onix-qt"
Icon=$ICON_NAME.png
EOF

chmod 644 $DESKTOP_FILE

xdg-desktop-menu install $DESKTOP_FILE
xdg-icon-resource install --size  32 "$ONIX_BINDIR/icons/logo-32.png"  $ICON_NAME
xdg-icon-resource install --size  48 "$ONIX_BINDIR/icons/logo-48.png"  $ICON_NAME
xdg-icon-resource install --size  64 "$ONIX_BINDIR/icons/logo-64.png"  $ICON_NAME
xdg-icon-resource install --size 128 "$ONIX_BINDIR/icons/logo-128.png" $ICON_NAME

rm $DESKTOP_FILE
rm -R $TMP_DIR
